extern int crypto_verify(const unsigned char *,const unsigned char *);
extern void crypto_decode(void *,const unsigned char *);
extern void crypto_encode(unsigned char *,const void *);
extern void crypto_sort(void *,long long);
extern void crypto_core(unsigned char *,const unsigned char *,const unsigned char *,const unsigned char *);
extern int crypto_hashblocks(unsigned char *,const unsigned char *,long long);
extern void crypto_hash(unsigned char *,const unsigned char *,long long);
extern void crypto_kem_keypair(unsigned char *,unsigned char *);
extern void crypto_kem_enc(unsigned char *,unsigned char *,const unsigned char *);
extern void crypto_kem_dec(unsigned char *,const unsigned char *,const unsigned char *);
